Bug 17063 - PackageKit does not work at all
Summary: PackageKit does not work at all
Status: RESOLVED WONTFIX
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-10 16:28 UTC by Lou Rosas
Modified: 2009-01-03 19:04 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lou Rosas 2008-08-10 16:28:49 UTC
I am using it for Fedora 9. And surprise surprise, it does not work!  I can't get anything to update, I can't get any packages to install.  This is so bad, that I think it's time to dump Fedora and go with another distribution.
Comment 1 Richard Hughes 2008-08-10 23:40:06 UTC
Can you be more specific please? Are you logging in as root?
Comment 2 Lou Rosas 2008-08-15 18:15:12 UTC
Yes!  I am logging in as root.  I am trying to use the gui front end to this
and it doesn't want to work at all.

On Sun, Aug 10, 2008 at 11:40 PM, <bugzilla-daemon@freedesktop.org> wrote:

> http://bugs.freedesktop.org/show_bug.cgi?id=17063
>
>
>
>
>
> --- Comment #1 from Richard Hughes <richard@hughsie.com>  2008-08-10
> 23:40:06 PST ---
> Can you be more specific please? Are you logging in as root?
>
>
> --
> Configure bugmail: http://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 3 Richard Hughes 2008-08-17 03:41:09 UTC
Please see http://fedoraproject.org/wiki/PackageKitFaq
Comment 4 Lou Rosas 2008-08-17 13:38:54 UTC
You are a fucking asshole!!!!

On Sun, Aug 17, 2008 at 3:41 AM, <bugzilla-daemon@freedesktop.org> wrote:

> http://bugs.freedesktop.org/show_bug.cgi?id=17063
>
>
> Richard Hughes <richard@hughsie.com> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>             Status|NEW                         |RESOLVED
>         Resolution|                            |WONTFIX
>
>
>
>
> --- Comment #3 from Richard Hughes <richard@hughsie.com>  2008-08-17
> 03:41:09 PST ---
> Please see http://fedoraproject.org/wiki/PackageKitFaq
>
>
> --
> Configure bugmail: http://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
>
Comment 5 Richard Hughes 2008-08-18 01:20:02 UTC
Excuse me? Do you understand how UNIX security and PolicyKit works? If the tools worked as the root user, and then your account got compromised (if you're using gaim, firefox, etc, xchat as root), the attacker could use packagekit to automatically install anything he or she wants, potentially completely taking over the box. From your box, it's pretty easy to take over other computers on your LAN.

I really don't think calling me an "fucking asshole" is a particually good way of getting my help in the future.
Comment 6 Lou Rosas 2009-01-03 19:04:28 UTC
>Excuse me? Do you understand how UNIX security and PolicyKit works? If the
>tools worked as the root user, and then your account got compromised (if you're
>using gaim, firefox, etc, xchat as root), the attacker could use packagekit to
>automatically install anything he or she wants, potentially completely taking
>over the box. From your box, it's pretty easy to take over other computers on
>your LAN.

>I really don't think calling me an "fucking asshole" is a particually good way
>of getting my help in the future.

Yes, your are right, I am sorry for calling you this.  Regardless, I did not understand how to use this (although it should be pretty simple).  Clearly, I was wrong for calling you this and please forgive me.  I was expecting too much from you and the development team.  As a result, I have switched primarily to Ubuntu:  it is easier to use.  In addition, I use Scientific Linux as well--it seems more stable and ready to use.

I hope you can forgive me for this, and I have learned about dealing with Red Hat developers.

In the end, the best thing for me to do was to switch Linux flavors.

Once again, I am sorry,

Lou Rosas


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.